Summary: 	Extensible Binary Meta Language library
Name: 		libebml
Version: 	1.2.2
Release: 	1
License: 	LGPLv2+
Group: 		System Environment/Libraries
URL: 		http://www.matroska.org/
Source0: 	http://dl.matroska.org/downloads/%{name}/%{name}-%{version}.tar.bz2
Patch0: 	%{name}-%{version}-aix.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	make, coreutils

%description
Extensible Binary Meta Language access library.  A library for reading
and writing files with the Extensible Binary Meta Language, a binary
pendant to XML.

The library is available as 32-bit and 64-bit.


%package 	devel
Summary: 	Development files for the Extensible Binary Meta Language library
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}

%description 	devel
Extensible Binary Meta Language access library.  A library for reading
and writing files with the Extensible Binary Meta Language, a binary
pendant to XML.

This package contains the files required to rebuild applications which
will use the Extensible Binary Meta Language library.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlC -q64" or "g++ -maix64".


%prep
%setup -q
%patch0


%build
cd make/linux

# first build the 64-bit version
export OBJECT_MODE=64
gmake %{?_smp_mflags} staticlib

CreateExportList -X64 %{name}.exp %{name}.a
${CXX} -q64 -qmkshrobj %{name}.a -o shr64.o -bE:%{name}.exp
rm -f %{name}.exp %{name}.a

gmake clean

# now build the 32-bit version
export OBJECT_MODE=32
gmake %{?_smp_mflags} staticlib

CreateExportList -X32 %{name}.exp %{name}.a
${CXX} -q32 -qmkshrobj %{name}.a -o shr.o -bE:%{name}.exp
rm -f %{name}.exp %{name}.a

ar -X32 -rv %{name}.a shr.o
# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared object
ar -X64 -q %{name}.a ./shr64.o


%install
export PATH=/opt/freeware/bin:$PATH

cd make/linux
gmake prefix=${RPM_BUILD_ROOT}%{_prefix} \
	libdir=${RPM_BUILD_ROOT}%{_libdir} \
	install_staticlib install_headers

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc ChangeLog LICENSE.LGPL
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%{_includedir}/*
/usr/include/*


%changelog
* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 1.2.2-1
- updated to version 1.2.2

* Thu Oct 07 2010 Michael Perzl <michael@perzl.org> - 1.0.0-1
- updated to version 1.0.0

* Fri Jul 04 2008 Michael Perzl <michael@perzl.org> - 0.7.8-1
- first version for AIX V5.1 and higher
